> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettons

> The list of all indexed jettons



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json post /v1/jettons
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons:
    post:
      tags:
        - JettonsService
      summary: getJettons
      description: The list of all indexed jettons
      operationId: JettonsService_List2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1JettonsListRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsListResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsListRequest:
      type: object
      properties:
        limit:
          title: 'Default value: 20'
          type: integer
          description: 'Max value: 100'
          format: int64
        cursor:
          title: Cursor to paginate list
          type: string
          description: Should be set by value from response field `next`
        excludeScam:
          title: Flag to exclude scam jettons
          type: boolean
          description: Jettons marked as scam will be excluded, if it's set to `true`
        search:
          title: Search by phrase
          type: string
          description: |-
            Search by phrase in jetton name or symbol
            Length should be in range [3:255]
        address:
          title: Jetton address
          type: array
          description: |-
            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 100
          items:
            type: string
        admin:
          title: Wallet address
          type: array
          description: |-
            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
            Max count: 10
          items:
            type: string
        verification:
          title: Status of jetton verification
          type: array
          description: 'Max count: 5'
          items:
            $ref: '#/components/schemas/v1JettonVerificationStatus'
        sort:
          $ref: '#/components/schemas/JettonsListRequestSortValue'
        order:
          $ref: '#/components/schemas/v1SortOrder'
        priceChange:
          $ref: '#/components/schemas/JettonsListRequestPriceChangeFilter'
        liquidity:
          $ref: '#/components/schemas/JettonsListRequestLiquidityFilter'
        fdmc:
          $ref: '#/components/schemas/v1FilterDecimalRange'
        trustScore:
          $ref: '#/components/schemas/v1FilterIntRange'
        holders:
          $ref: '#/components/schemas/v1FilterIntRange'
        currency:
          $ref: '#/components/schemas/v1Currency'
    v1JettonsListResponse:
      type: object
      properties:
        jettons:
          title: List of jettons
          type: array
          items:
            $ref: '#/components/schemas/v1JettonDetails'
        addressBook:
          title: Possible aliases for all raw addresses in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonVerificationStatus:
      type: string
      default: JVS_NONE
      enum:
        - JVS_NONE
        - JVS_APPROVED
        - JVS_COMMUNITY_VERIFIED
        - JVS_VERIFIED
        - JVS_SCAM
    JettonsListRequestSortValue:
      type: string
      default: createdAt
      enum:
        - createdAt
        - fdmc
        - tvl
        - liquidityUsd
        - trustScore
        - volume24h
        - holders
        - traders24h
        - transactions24h
        - tonPriceChangeHour
        - tonPriceChangeHour6
        - tonPriceChangeDay
        - tonPriceChangeWeek
        - tonPriceChangeMonth
    v1SortOrder:
      type: string
      default: asc
      enum:
        - asc
        - desc
    JettonsListRequestPriceChangeFilter:
      type: object
      properties:
        ton:
          $ref: '#/components/schemas/JettonsListRequestPriceChangeFilterPeriods'
    JettonsListRequestLiquidityFilter:
      type: object
      properties:
        usd:
          $ref: '#/components/schemas/v1FilterDecimalRange'
    v1FilterDecimalRange:
      title: Filter in basic token units
      type: object
      properties:
        min:
          $ref: '#/components/schemas/v1FilterDecimalValue'
        max:
          $ref: '#/components/schemas/v1FilterDecimalValue'
      description: Range [min, max]
    v1FilterIntRange:
      title: Filter in range [min, max]
      type: object
      properties:
        min:
          type: string
          format: int64
        max:
          type: string
          format: int64
    v1Currency:
      type: string
      default: ton
      enum:
        - ton
        - usd
        - eur
        - gbp
        - jpy
        - byn
        - ves
        - rub
        - uah
        - kzt
        - krw
        - ils
        - idr
        - aed
        - gel
        - twd
        - try
        - hkd
        - inr
        - cad
        - amd
        - aud
        - pln
        - cop
        - brl
        - chf
        - mxn
        - ars
        - sgd
        - sar
        - mdl
        - ron
        - sek
        - azn
        - rsd
        - nok
        - myr
        - bgn
        - egp
        - gtq
        - clp
        - nzd
        - bdt
        - kgs
        - thb
        - uzs
        - uyu
        - vnd
        - ugx
        - kes
        - zar
        - etb
        - ngn
        - lkr
    v1JettonDetails:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/v1JettonMetadata'
        admin:
          $ref: '#/components/schemas/v1JettonAdmin'
        totalSupply:
          title: Total supply
          type: string
          description: >-
            Total amount of available jettons

            Basic token unit. To get the decimals value: totalSupply * pow(10,
            -decimals)
          example: '299999852059244670506'
        mintable:
          type: boolean
        modifiedContract:
          type: boolean
        verification:
          $ref: '#/components/schemas/v1JettonVerificationStatus'
        price:
          $ref: '#/components/schemas/v1DecimalValue'
        priceUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        holdersCount:
          type: string
          format: uint64
          example: '7351'
        liquidityUsd:
          $ref: '#/components/schemas/v1DecimalValue'
        fdmc:
          $ref: '#/components/schemas/v1DecimalValue'
        trustScore:
          title: Trust score
          type: integer
          description: Value in range [0, 100]
          format: int64
          example: 100
        mcap:
          $ref: '#/components/schemas/v1DecimalValue'
        circulatingSupply:
          title: CirculatingSupply
          type: string
          description: >-
            The amount of a cryptocurrency that is currently available to the
            market.

            Basic token unit. To get the decimals value: circulatingSupply *
            pow(10, -decimals)
        chartPreviews:
          title: List of image url with chart preview
          type: array
          items:
            $ref: '#/components/schemas/JettonDetailsChartPreview'
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    JettonsListRequestPriceChangeFilterPeriods:
      type: object
      properties:
        hour:
          $ref: '#/components/schemas/v1FilterDoubleRange'
        hour6:
          $ref: '#/components/schemas/v1FilterDoubleRange'
        day:
          $ref: '#/components/schemas/v1FilterDoubleRange'
        week:
          $ref: '#/components/schemas/v1FilterDoubleRange'
    v1FilterDecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
        decimals:
          title: Decimals
          type: integer
          description: Value in range [0, 255]. By default is `0`
          format: int64
    v1JettonMetadata:
      type: object
      properties:
        address:
          type: string
          example: 0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1
        name:
          type: string
          example: DYOR Coin
        symbol:
          type: string
          example: DYOR
        decimals:
          type: integer
          format: int64
          example: 15
        image:
          type: string
          example: >-
            https://storage.dyor.io/jettons/EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz/image.png
        description:
          type: string
          example: >-
            DYOR Coin is the utility token by DYOR.io, the biggest analytics
            platform on TON Blockchain.
        offchainImage:
          type: string
          example: >-
            https://storage.dyor.io/jettons/EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz/image.png
        offchainDescription:
          type: string
          example: >-
            DYOR Coin is the utility token by DYOR.io, the biggest analytics
            platform on TON Blockchain.
        links:
          type: array
          items:
            $ref: '#/components/schemas/v1Link'
        createdAt:
          type: string
          format: date-time
    v1JettonAdmin:
      type: object
      properties:
        address:
          title: Wallet address
          type: string
          description: 'Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`'
          example: '0:0000000000000000000000000000000000000000000000000000000000000000'
        offchainAddress:
          title: Wallet address
          type: string
          description: 'Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`'
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'
    JettonDetailsChartPreview:
      type: object
      properties:
        url:
          type: string
        metric:
          $ref: '#/components/schemas/ChartPreviewMetric'
        period:
          $ref: '#/components/schemas/ChartPreviewPeriod'
        color:
          $ref: '#/components/schemas/ChartPreviewColor'
    v1FilterDoubleRange:
      title: Filter in range [min, max]
      type: object
      properties:
        min:
          type: number
          format: double
        max:
          type: number
          format: double
    v1Link:
      type: object
      properties:
        name:
          type: string
          example: Chat EN
        url:
          type: string
          example: https://t.me/DYORchatEN
        type:
          $ref: '#/components/schemas/v1LinkType'
    ChartPreviewMetric:
      type: string
      default: price
      enum:
        - price
    ChartPreviewPeriod:
      type: string
      default: month
      enum:
        - month
    ChartPreviewColor:
      type: string
      default: dark
      enum:
        - dark
        - light
    v1LinkType:
      type: string
      default: LINK_TYPE_UNSPECIFIED
      enum:
        - LINK_TYPE_UNSPECIFIED
        - LINK_TYPE_WEBSITE
        - LINK_TYPE_TELEGRAM
        - LINK_TYPE_TWITTER
        - LINK_TYPE_FACEBOOK
        - LINK_TYPE_INSTAGRAM
        - LINK_TYPE_DISCORD
        - LINK_TYPE_GITHUB
        - LINK_TYPE_WHITEPAPPER
        - LINK_TYPE_GETGEMS
        - LINK_TYPE_OTHER

````